Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3343 closed defect (fixed)

pthread_mutex_getprioceiling() has incorrect prototype

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: posix Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

We are missing the const and restrict on the first parameter. This requires a change to newlib and RTEMS. The correct prototype is:

int pthread_mutex_getprioceiling(

const pthread_mutex_t *restrict mutex,
int *prioceiling

)

Change History (4)

comment:1 Changed on 03/14/18 at 22:34:10 by Joel Sherrill

Owner: changed from joel to Joel Sherrill

comment:2 Changed on 03/20/18 at 18:45:55 by Joel Sherrill

Change pushed to newlib. I have a patch pending for RTEMS pending a tool bump.

comment:3 Changed on 07/06/18 at 05:27:12 by Sebastian Huber <sebastian.huber@…>

In [changeset:"77fbbd620f3eb4aa54cccd3491a2feff955f7822/rtems" 77fbbd6/rtems]:

posix: Check for new <pthread.h> prototypes

Update #3342.
Update #3343.

comment:4 Changed on 07/24/18 at 07:06:52 by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In [changeset:"dc6b9405ac33ddc29fc8e306fa23db33ec3d6672/rtems-source-builder" dc6b940/rtems-source-builder]:

5: Update Newlib

Update RISC-V GCC to a GCC 9 branch commit.

Close #3342.
Close #3343.
Update #3452.

Note: See TracTickets for help on using tickets.